Package ghidra.util.html

# Class HTMLElement

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractList<E>
java.util.ArrayList<Object>
ghidra.util.html.HTMLElement

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<Object>`, `Collection<Object>`, `List<Object>`, `RandomAccess`

public class HTMLElement extends ArrayList<Object>

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class java.util.AbstractList

  `modCount`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HTMLElement(String name)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HTMLElement`
  `addElement(String elementName)`
  `void`
  `addHTMLContent(String htmlContent)`
  `String`
  `getAttribute(String key)`
  `String`
  `putAttribute(String key, String value)`
  `String`
  `removeAttribute(String key)`
  `String`
  `toString()`

  ### Methods inherited from class java.util.ArrayList

  `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, equals, forEach, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

  ### Methods inherited from class java.util.AbstractCollection

  `containsAll`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, stream, toArray`

  ### Methods inherited from interface java.util.List

  `containsAll`

- ## Constructor Details

  - ### HTMLElement

    public HTMLElement(String name)

- ## Method Details

  - ### getAttribute

    public String getAttribute(String key)

  - ### putAttribute

    public String putAttribute(String key, String value)

  - ### removeAttribute

    public String removeAttribute(String key)

  - ### addElement

    public HTMLElement addElement(String elementName)

  - ### addHTMLContent

    public void addHTMLContent(String htmlContent)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `AbstractCollection<Object>`